2012-05-13 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: temporarily switched back to hash-checking; quoting paths;
	  while 3.16 sources are unavailable from the original mirror and
	  other distros use their own, switched back to launchpad one, where
	  contents of tar.gz is identical to the prev tar.bz2 from 2 Jun 2011

2011-08-23 Bor Kraljič <pyrobor@ver.si>
	* DETAILS: use kernel.gpg instead of jcm.gpg
	* m-i-t.gpg: removed, it isn't used anywhere
	* jcm.gpg: removed, no longer needed

2011-06-02 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.16

2011-05-31 Treeve Jelbert <treeve@pi.be>
	* DETAILS: version 3.13

2010-06-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.12, updated WEB_SITE

2009-11-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.11.1

2009-10-21 Treeve Jelbert <treeve@pi.be>
	* DETAILS: version 3.11
	* insmod.patch: delete obsolete patch

2009-07-16 Treeve Jelbert <treeve@pi.be>
	* DETAILS: version 3.10

2009-05-27 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.9
	* INSTALL: removed modprobe.devfs, not provided upstream

2009-05-01 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 3.8
	* DEPENDS: removed docbook2x

2009-04-24 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: PATCHLEVEL++ to remove modprobe.conf
	* INSTALL: No need to install our copy of modprobe.conf
	* modprobe.conf: Removed, deprecated in 3.7

2009-04-23 Treeve Jelbert <treeve@pi.be>
	* DETAILS: version 3.7
	* mk.diff: remove irrelevant part
	* DEPENDS: add docbook2x

2009-03-22 Eric Sandall <sandalle@sourcemage.og>
	* FINAL: Need to call the newly installed (current) depmod to generate
	  the depmod index for the installed version, otherwise we get issues
	  as seen in Bug #15084 (downgrading to 3.5 from 3.6, but the indeces
	  are regenerated using old.binaries/depmod, which is still 3.6)
	* {REPAIR^none^,}POST_RESURRECT: We need to regenerate the depmod indeces
	  when we resurrect (e.g. resurrecting 3.5 with 3.6 installed)

2009-02-07 Eric Sandall <sandalle@sourcemage.org>
	* FINAL: Print out kernels we're rebuilding module dependencies on
	  Only redirect errors

2008-11-05 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.5

2008-10-11 Treeve Jelbert <treeve@pi.be>
	* DETAILS: version 3.4.1

2008-08-19 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: fixed SOURCE_URLs

2008-06-16 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Fails installing with multiple make jobs

2008-02-06 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: removed mktemp (deprecated), is a part
	  of coreutils now (which included in basesystem)

2007-11-17 David Brown <dmlb2000@gmail.com>
	* init.d/modutils: added some options that I find useful so others may
	* init.d/modutils.conf: added for the options I find useful.. default
	  is the current behaviour

2007-10-31 Treeve Jelbert <treeve@pi.be>
	* DETAILS: version 3.4
	  new url, new sig
	* jcm.gpg: added
	* insmod.patch: deleted, does not apply
	* PRE_BUILD: don't apply insmod.patch, apply mk.diff
	* BUILD: move patching to  PRE_BUILD
	  don't touch non-existent files
	* BUILD, INSTALL:
	  add MANS=, to suppress manpages
	* mk.diff: updateded, to ignore man pages
	  even when docbook2man is installed, building man pages fails,
	  so suppres them

2007-05-29 David Brown <dmlb2000@gmail.com>
	* insmod.patch: added and fixed and again

2007-05-27 Robin Cook <rcook@wyrms.net>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: apply insmod patch
	  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=425458

2007-03-11 Juuso Alasuutari <iuso@sourcemage.org>
	* INSTALL: Install default modprobe.conf to include modprobe.d,
	  fixes #13446.
	* modprobe.conf: Added.

2007-02-22 Treeve Jelbert <treeve@pi.be>
	* DETAILS: version 3.3-pre10

2007-02-21 Treeve Jelbert <treeve@pi.be>
	* DETAILS: version 3.3-pre6

2007-02-15 Treeve Jelbert <treeve@pi.be>
	* DETAILS: new WEBSITE & URL
	  convert to gpg checking
	* m-i-t.gpg: added (UPSTREAM key)

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed BUILD_API=2.

2006-08-15 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed UPDATED (deprecated in favor of 
	  PATCHLEVEL).

2006-05-02 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: Now really updated patchlevel instead of lowering it.

2006-04-30 Juuso Alasuutari <iuso@sourcemage.org>
	* INSTALL: Removed install of modprobe.conf with aliases, udev 
	  spell will take care of this
	* modprobe.conf: Deleted
	* DETAILS: PATCHLEVEL

2006-04-28 Jeremy Blosser <jblosser-smgl@firinn.org>
	* PREPARE, UP_TRIGGERS: Make sure
	  $INSTALL_ROOT/etc/sysconfig/facilities exists before grepping it.

2006-04-13 Juuso Alasuutari <iuso@sourcemage.org>
	* INSTALL: Changed cp to install_config_file

2006-04-03 Juuso Alasuutari <iuso@sourcemage.org>
	* modprobe.conf: added, set aliases that are needed by udev to 
	  autoload some modules
	* INSTALL: install_config_file modprobe.conf
	* DETAILS: bumped PATCHLEVEL, corrected alignment of KEYWORDS 
	  line

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-11 Jeremy Blosser <jblosser-smgl@firinn.org>                         
	* WIP: Removed, this is going to test.

2006-02-27 Jeremy Blosser <jblosser-smgl@firinn.org>                         
	* init.d/modutils: Provide "modules", depend on "root_fs" instead of
	  "local_fs" (bug 10146).
	* UP_TRIGGERS: Added, make sure this isn't updated without the init.d
	  that provides "root_fs".
	* PREPARE: Added a kludge to make sure modutils will default to
	  being set as the default provider of "modules".
	* DETAILS: PATCHLEVEL=1.
	* WIP: Added, this can't go forward til init.d 2.2.0 does.

2006-02-08 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on smgl-fhs (for directory structure)

2006-02-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on gnupg (for SOURCE verification)
	  Added missing '&&' after OLD_TOO if/fi

2005-12-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.2.2

2005-11-29 Seth Woolley <seth@tautology.org>
	* DETAILS: MD5 -> SHA512

2005-11-28 Seth Woolley <seth@tautology.org>
	* PRE_BUILD: unpack api update

2005-11-28 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.2.1, md5 -> sha512
	* PRE_BUILD: unpack -> unpack_file

2005-08-29 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 3.2-pre9

2005-07-30 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 3.2-pre8

2006-06-25 David Brown <dmlb2000@excite.com>
	* DEPENDS: added option for zlib depends
	* CONFIGURE: added moved from prepare and added option to depend on zlib
	* PREPARE: moved to CONFIGURE

2006-06-25 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 3.2-pre7
	* mk.diff: update

2005-05-12 Andrew Stitt <astitt@sourcemage.org>
	* BUILD, INSTALL: Update to install into a chroot correctly, bug 8853.

2005-05-03 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 3.2-pre3

2005-04-23 David Brown <dmlb2000@excite.com>
	* PREPARE: modified to make it a little cleaner and made default N

2005-04-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed MAKE_NJOBS=1
	* BUILD: Run make_single before make
	* INSTALL: Run make_normal before make install

2005-01-19 Arwed v. Merkatz <v.merkatz@gmx.net>
	* init.d/modutils: set RECOMMENDED=yes so sorcery defaults to installing
	  the init script

2005-01-07 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: removed docbook-utils
	* BUILD: 'touch' all man pages so it doesn't try to rebuild them

2004-12-29 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 3.1
	* DEPENDS: add docbook-utils

2004-07-05 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 3.1-pre5
	* mk.diff: fix mandir

2004-06-29 Seth Woolley <seth@tautology.org>
	* POST_INSTALL renamed to FINAL, thanks to Ashaman (G. Derber)

2004-06-22 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 3.1-pre4

2004-06-21 Treeve Jelbert <treeve01@pi.be>
	* BUILD: don't use default_build
	  fixes bugs #7023 and #7035
	  set UPDATED to force rebuilds

2004-06-19 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 3.1-pre2
	  BUILD_API=2
	* BUILD: strip
	  use default_build
	  change /usr/man -> /usr/share/man
	* INSTALL: add
	* mk.diff: recreate

2004-04-08 hgg <hgreig@bigpond.net.au>
	* POST_INSTALL: reorder and add / to $INSTALL_ROOT so it won't fail when
	  unset

2004-03-25 hgg <hgreig@bigpond.net.au>
	* BUILD,POST_INSTALL: sick of depmod tracking all my kernels

2004-03-12 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated modutils to 2.4.27

2004-03-06 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 3.0

2003-02-28 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* DEPENDS: depends bison if building old modutils

2004-02-13 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 3.0-pre10

2004-02-13 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 3.0-pre9

2004-01-31 hgg <hgreig@bigpond.net.au>
	* DEPENDS: add flex

2004-01-30 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Reverted to 3.0-pre5 (Bug #5599)

2004-01-24 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: make it work for OLD_TOO=n
	* CONFIGURE, DETAILS, PREPARE, PRE_BUILD: move question to PREPARE,
	  only download/unpack modutils tarball if OLD_TOO=y

2004-01-24 Justin Rocha <jrocha@sourcemage.org>
	* DETAILS: Version to 3.0-pre7
	  Fix to SOURCE_URL
	  Updated short and description

2004-01-15 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 3.0-pre5

2003-12-12 Treeve Jelbert <treeve01@pi.be>
	* DETAILS: version 0.9.15-pre4
	* BUILD: actually apply a patch
	* mk.diff: add
	* module-man.patch WIP: delete
	  update patching and fix bug #462

2003-12-02 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Use INSTALL_ROOT
	* WIP: 'make moveold' doesn't like it when binaries
	  are installed anywhere besides /sbin

2003-10-30 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Now it will actually download the modutils
	  source if it isn't already there
	  Corrected too many typos
	  Updated modutils to 2.4.26
	  Updated UPDATED so it will be marked as 'new'
	* HISTORY: Formatted to Guru Handbook

2003-10-28 hgg <hgreig@bigpond.net.au>
	* BUILD,module-man.patch: add patch to Makefile.in for man
	  page in moveold so make moveold can be &&'ed

2003-10-16 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* Updated to Updated to 0.9.15-pre2 (Bug #4549)

2003-04-10 Eric Schabell <eschabell@sourcemage.org>
	* Updated BUILD file to cp modprobe.devfs to /etc
	  which is needed for proper starting of 2.6.x kernels
	  using devfs.

2003-09-20 Eric Sandall <sandalle@sourcemage.org>
	* Updated to 0.9.15-pre1 (Bug #4360)

2003-08-22 hgg <hgreig@bigpond.net.au>
	* Update UPDATED purely for test grimoire integration.

2003-08-03 hgg <hgreig@bigpond.net.au>
	* Add mktemp to DEPENDS
	  Add MAKE_NJOBS=1 to DETAILS

2003-08-02 Seth Woolley <seth@tautology.org>
	* Tried to fix this mess up by compiling modutils in _here_...
	  The fancy *.old stuff messes up cast --fix unless it's done this way.
	  CONFLICTS is safe again, I hope.

2003-08-03 hgg <hgreig@bigpond.net.au>
	* Remove CONFLICTS, actually depends on modutils for kernels <2.6.XX

2003-07-30 hgg <hgreig@bigpond.net.au>
	* Add CONFLICTS on modutils
	  Add depmod -a to BUILD

2003-07-27 Eric Sandall <sandalle@sourcemage.org>
	* Updated to 0.9.13-pre (Bug #3768)

2003-04-10 Eric Schabell <eschabell@sourcemage.org>
	* Created spell.

